#!/bin/sh

set -x

export QML2_IMPORT_PATH=/usr/lib/i386-linux-gnu/unity8/qml/mocks:/usr/lib/i386-linux-gnu/unity8/qml/utils:/usr/lib/i386-linux-gnu/unity8/qml
export XDG_SESSION_PATH=/session
export UNITY_TESTING=1
export LANGUAGE=C
export LC_ALL=C.UTF-8
export LD_LIBRARY_PATH=/usr/lib/i386-linux-gnu/unity8/qml/mocks/liblightdm:/usr/lib/i386-linux-gnu/unity8/qml/mocks/libusermetrics
export QT_QPA_PLATFORM=minimal
export XDG_SESSION_PATH=/session
export UNITY_TESTING_DATADIR="/usr/share/unity8"
export UNITY_TESTING_LIBDIR="/usr/lib/i386-linux-gnu/unity8"

XML_ARGS=
if [ -n "$ARTIFACTS_DIR" ]; then
    XML_ARGS=" --parameter -o --parameter $ARTIFACTS_DIR/tests/plugins/Unity/Session/testSessionBackend.xml,xunitxml "
    mkdir -p "$ARTIFACTS_DIR/tests/plugins/Unity/Session"
    touch "$ARTIFACTS_DIR/tests/plugins/Unity/Session/testSessionBackend.xml"
fi

'/usr/bin/gdb' '-ex' 'run' '-args' '/usr/bin/dbus-test-runner' '--task' '/usr/lib/i386-linux-gnu/unity8/tests/plugins/Unity/Session/LightDMServer' '--task-name' 'server' '--ignore-return' '--task' '/usr/lib/i386-linux-gnu/unity8/tests/plugins/Unity/Session/sessionbackendtestExec' '--task-name' 'client' '--wait-for' 'org.freedesktop.DisplayManager' $XML_ARGS '--parameter' '-o' '--parameter' '-,txt' "$@"