#!/bin/sh

set -x

export QML2_IMPORT_PATH=/usr/lib/i386-linux-gnu/unity8/qml/mocks:/usr/lib/i386-linux-gnu/unity8/qml/utils:/usr/lib/i386-linux-gnu/unity8/qml
export APPDIR=/usr/lib/i386-linux-gnu/unity8/tests/plugins/Unity/Launcher/applications
export UNITY_TESTING=1
export LANGUAGE=C
export LC_ALL=C.UTF-8
export LD_LIBRARY_PATH=/usr/lib/i386-linux-gnu/unity8/qml/mocks/liblightdm:/usr/lib/i386-linux-gnu/unity8/qml/mocks/libusermetrics
export QT_QPA_PLATFORM=minimal
export APPDIR=/usr/lib/i386-linux-gnu/unity8/tests/plugins/Unity/Launcher/applications
export LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1
export UNITY_TESTING_DATADIR="/usr/share/unity8"
export UNITY_TESTING_LIBDIR="/usr/lib/i386-linux-gnu/unity8"

XML_ARGS=
if [ -n "$ARTIFACTS_DIR" ]; then
    XML_ARGS=" --parameter -o --parameter $ARTIFACTS_DIR/tests/plugins/Unity/Launcher/testLauncherModel.xml,xunitxml "
    mkdir -p "$ARTIFACTS_DIR/tests/plugins/Unity/Launcher"
    touch "$ARTIFACTS_DIR/tests/plugins/Unity/Launcher/testLauncherModel.xml"
fi

'/usr/bin/xvfb-run' '--server-args' '-screen 0 1024x768x24' '--auto-servernum' '/usr/bin/dbus-test-runner' '--task' '/usr/lib/i386-linux-gnu/unity8/tests/plugins/AccountsService/mock-server' '--ignore-return' '--task' '/usr/lib/i386-linux-gnu/unity8/tests/plugins/Unity/Launcher/launchermodeltestExec' '--wait-for' 'org.freedesktop.Accounts' $XML_ARGS '--parameter' '-o' '--parameter' '-,txt' "$@"