#!/bin/sh

set -x

export QML2_IMPORT_PATH=/usr/lib/i386-linux-gnu/unity8/qml/mocks:/usr/lib/i386-linux-gnu/unity8/qml/utils:/usr/lib/i386-linux-gnu/unity8/qml
export UNITY_TESTING=1
export LANGUAGE=C
export LC_ALL=C.UTF-8
export LD_LIBRARY_PATH=/usr/lib/i386-linux-gnu/unity8/qml/mocks/liblightdm:/usr/lib/i386-linux-gnu/unity8/qml/mocks/libusermetrics
export UNITY_TESTING_DATADIR="/usr/share/unity8"
export UNITY_TESTING_LIBDIR="/usr/lib/i386-linux-gnu/unity8"

XML_ARGS=
if [ -n "$ARTIFACTS_DIR" ]; then
    XML_ARGS=" -o $ARTIFACTS_DIR/tests/qmltests/testPreviewCommentInput.xml,xunitxml "
    mkdir -p "$ARTIFACTS_DIR/tests/qmltests"
    touch "$ARTIFACTS_DIR/tests/qmltests/testPreviewCommentInput.xml"
fi

'/usr/bin/qmltestrunner' '-input' '/usr/share/unity8/tests/qmltests/Dash/Previews/tst_PreviewCommentInput.qml' $XML_ARGS '-o' '-,txt' "$@"