#!/bin/sh

set -x

export QML2_IMPORT_PATH=/usr/lib/i386-linux-gnu/unity8/qml/utils:/usr/lib/i386-linux-gnu/unity8/qml
export LD_LIBRARY_PATH=/usr/lib/i386-linux-gnu/unity8/qml/Ubuntu/Gestures
export UNITY_TESTING=1
export LANGUAGE=C
export LC_ALL=C.UTF-8
export LD_LIBRARY_PATH=/usr/lib/i386-linux-gnu/unity8/qml/mocks/liblightdm:/usr/lib/i386-linux-gnu/unity8/qml/mocks/libusermetrics
export LD_LIBRARY_PATH=/usr/lib/i386-linux-gnu/unity8/qml/Ubuntu/Gestures
export LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1
export UNITY_TESTING_DATADIR="/usr/share/unity8"
export UNITY_TESTING_LIBDIR="/usr/lib/i386-linux-gnu/unity8"

XML_ARGS=
if [ -n "$ARTIFACTS_DIR" ]; then
    XML_ARGS=" -o $ARTIFACTS_DIR/tests/plugins/Ubuntu/Gestures/testTouchGate.xml,xunitxml "
    mkdir -p "$ARTIFACTS_DIR/tests/plugins/Ubuntu/Gestures"
    touch "$ARTIFACTS_DIR/tests/plugins/Ubuntu/Gestures/testTouchGate.xml"
fi

'/usr/bin/xvfb-run' '--server-args' '-screen 0 1024x768x24' '--auto-servernum' '/usr/lib/i386-linux-gnu/unity8/tests/plugins/Ubuntu/Gestures/TouchGateTestExec' $XML_ARGS '-o' '-,txt' "$@"